// ==============================================================
// Ananke Type Definitions - contains type definitions for the
//                           Ananke class vessel
// 
// Copyright 2008 - Tim Blaxland and Sean Kilpatrick
// ==============================================================

#ifndef ANANKE_TYPE_DEFS_H
#define ANANKE_TYPE_DEFS_H

// --------------------------------------------------------------
// MeshId - identifies the mesh
// --------------------------------------------------------------
enum MeshId {CATCHER,CABLE_A,CABLE_B,FACILITY};

// --------------------------------------------------------------
// LightState - nominates the state of the lights
// --------------------------------------------------------------
enum LightState {OFF, ON};

// --------------------------------------------------------------
// Vc_Pos - identifies the various virtual cockpit positions
// --------------------------------------------------------------
enum Vc_Pos {PAYLOAD_VIEW_NEAR, PAYLOAD_VIEW_FAR};

// --------------------------------------------------------------
// CATCHER_DOCK_INDEX - the dock index of the docking port on the
//                      catcher
// --------------------------------------------------------------
const UINT CATCHER_DOCK_INDEX = 4;

#endif // ANANKE_TYPE_DEFS_H